Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Class WLXTPool

    java.lang.Object
      |
      +--com.bea.wlxt.WLXTPool

public class WLXTPool
extends java.lang.Object
implements XTPool

This singleton class implements a pool of WLXT objects to allow caching of MFL documents and reduce overhead of obtaining a configured WLXT engine.

Since:
  WLXT 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WLXT`

Constructor Summary
`WLXTPool()`

Method Summary
`static void` | `flush()` Flush the WLXT object pool and begin satisfying requests with newly generated objects.
`void` | `flushXT()`
`static WLXT` | `get()` Get a WLXT instance from the pool.
`static boolean` | `getEventHandlerDebug()` Get the WLXT Plugin EventHandler debugging status
`static int` | `getMaxPool()` Returns the maximum pool size value.
`static int` | `getPoolHighWater()` Return the pool high water value indicating the maximum number of WLXT objects that existed at a single point in time.
`static int` | `getPoolSize()` Return the current size of the WLXT pool.
`static int` | `getTotalMflCacheHits()` Returns the total number of MFL document loads that were satisfied by a MFL cache.
`static int` | `getTotalMflRequests()` Returns the total number of requests to load a MFL document since the creation of the WLXT pool.
`XT` | `getXT()`
`static void` | `put(WLXT wlxt)` Return a WLXT object to the object pool.
`void` | `putXT(XT wlxt)`
`static void` | `setEventHandlerDebug(boolean debug)` Enable or disable WLXT Plugin EventHandler debugging messages
`static void` | `setMaxPool(int max)` Sets the maximum size of the WLXT pool.
`void` | `setMaxPoolXT(int maxPool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLXTPool

    public WLXTPool()

Method Detail

### getXT

    public XT getXT()

  Specified by:
    getXT in interface XTPool

### putXT

    public void putXT(XT wlxt)

  Specified by:
    putXT in interface XTPool

### flushXT

    public void flushXT()

  Specified by:
    flushXT in interface XTPool

### setMaxPoolXT

    public void setMaxPoolXT(int maxPool)

  Specified by:
    setMaxPoolXT in interface XTPool

### get

    public static WLXT get()

  Get a WLXT instance from the pool. If the pool is empty at the time of the request a new WLXT object will be generated to satisfy the request.

  Returns:
    A WLXT object instance which may be used to parse and/or generate binary data based on an MFL definition. When finished with this object it should be returned to the pool via the put() method.

### put

    public static void put(WLXT wlxt)

  Return a WLXT object to the object pool. If the pool is already at it's maximum the object will be discarded.

  Parameters:
    `wlxt` - The object to be placed in the pool.

### flush

    public static void flush()

  Flush the WLXT object pool and begin satisfying requests with newly generated objects. This has the effect of flushing all the MFL caches.

### getPoolSize

    public static int getPoolSize()

  Return the current size of the WLXT pool.

  Returns:
    The current pool size.

### getPoolHighWater

    public static int getPoolHighWater()

  Return the pool high water value indicating the maximum number of WLXT objects that existed at a single point in time. This value can be used to tune the maximum pool size value.

  Returns:
    The maximum number of WLXT objects that have existed since the creation of the pool.

### getMaxPool

    public static int getMaxPool()

  Returns the maximum pool size value. The pool will not grow beyond this size although additional WLXT objects may be generated to fill requests over and above this value. If this value is less than the current size of the pool the pool size will be reduced via attrition.

  Returns:
    The current maximum size of the pool.

### setMaxPool

    public static void setMaxPool(int max)

  Sets the maximum size of the WLXT pool.

  Parameters:
    `max` - The maximum number of WLXT objects that will be maintained in the pool.

### setEventHandlerDebug

    public static void setEventHandlerDebug(boolean debug)

  Enable or disable WLXT Plugin EventHandler debugging messages

  Parameters:
    `debug` - Set debugging as enables or disabled.

### getEventHandlerDebug

    public static boolean getEventHandlerDebug()

  Get the WLXT Plugin EventHandler debugging status

  Returns:
    true is debugging is enabled.

### getTotalMflRequests

    public static int getTotalMflRequests()

  Returns the total number of requests to load a MFL document since the creation of the WLXT pool.

  Returns:
    Total number of MFL load requests.

### getTotalMflCacheHits

    public static int getTotalMflCacheHits()

  Returns the total number of MFL document loads that were satisfied by a MFL cache.

  Returns:
    Total number of MFL loads which came from a cache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)